function centroids = computeCentroids(X, idx, K)

%   centroids = COMPUTECENTROIDS(X, idx, K) returns the new centroids by 
%   computing the means of the data points assigned to each centroid.
%   It is given a dataset X where each row is a single data point, a vector
%   idx of centroid assignments (i.e. each entry in range [1..K]) for each
%   example, and K, the number of centroids. You should return a matrix
%   centroids, where each row of centroids is the mean of the data points assigned to it.

centroids = zeros(K, size(X,2));

for i_K = 1:K
	centroids(i_K,:) = mean(X(idx == i_K,:),1);
end

end

