function idx = findClosestCentroids(X, centroids)

%   FINDCLOSESTCENTROIDS computes the centroid memberships for every example
%   idx = FINDCLOSESTCENTROIDS(X, centroids) returns the closest centroids
%   in idx for a dataset X where each row is a single example. idx = m x 1 
%   is the vector of centroid assignments (i.e. each entry in range [1..K])

K = size(centroids,1);
m = size(X,1);
M_dist = zeros(m,K);

for i_K = 1:K
    M_centres = repmat(centroids(i_K,:),m,1);
    M_dist(:,i_K) = sum((X - M_centres).^2,2);
end
[~,idx] = min(M_dist,[],2);

end

