function Z = projectData(X, U, K)

%   Z = projectData(X, U, K) computes the projection of the normalized inputs X
%   into the reduced dimensional space spanned by the first K columns of U.
%   It returns the projected examples in Z.

%   X est de taille (m , n)   ;   U est de taille (n , n)

%   For the i-th example X(i,:), the projection onto the k-th eigenvector 
%   is given as follows:        x = X(i, :)'; % (n , 1)
%                               projection_k = x' * U(:, k); % (1 , K)

U_reduce = U(:,1:K); % (n , K)
Z = X*U_reduce; % (m , K)

end
