function X_rec = recoverData(Z, U, K)

%   X_rec = RECOVERDATA(Z, U, K) recovers an approximation of the original  
%   data (that has been reduced to K dimensions) by projecting back onto 
%   the original space using the top K eigenvectors in U. 
%   It returns the approximate reconstruction in X_rec.

%   Z est de taille (m , K)   ;   U est de taille (n , n)

%   For the i-th example Z(i,:), the approximate recovered data for dimension j 
%   is given as follows:    v = Z(i, :)';
%                           recovered_j = v' * U(j, 1:K)';
%   Notice that U(j, 1:K) is a row vector.

U_reduce = U(:,1:K); % (n , K)
X_rec = Z*U_reduce'; % (m , n)

end
